package org.security.trans.app.service;

import org.security.trans.app.dto.AppDeviceCheckDTO;
import org.security.trans.app.vo.AppDeviceCheckItemVO;
import org.security.trans.app.vo.AppDeviceVO;

import java.util.List;

/**
 * @author Create by wzf
 * @date 2022/4/28 11:27
 */
public interface IAppDeviceService {

	/**
	 *获取设备代办事项详情
	 * @param id
	 * @return
	 */
	AppDeviceVO getDetail(String id);

	/**
	 * 获取设备检查项详情
	 * @param id 设备检查id
	 * @return
	 */
	List<AppDeviceCheckItemVO> getDeviceItemDetail(String id,String type);

	/**
	 * 设备检查提报
	 * @param appDeviceCheckDTO 设备检查项
	 * @return
	 */
	boolean handInDevice(AppDeviceCheckDTO appDeviceCheckDTO);

	/**
	 * 获取设备整改项详情
	 * @param id
	 * @return
	 */
	AppDeviceVO getDeviceRectifyDetail(String id);

	/**
	 * 设备整改提报
	 * @param appDeviceCheckDTO 设备整改项明细信息
	 * @return
	 */
	boolean rectifyDevice(AppDeviceCheckDTO appDeviceCheckDTO);

	/**
	 * 获取设备持续整改待办详情
	 * @param id
	 * @return
	 */
	AppDeviceVO getContinuedRectifyDetail(String id);

	/**
	 * 设备持续整改提报
	 * @param appDeviceCheckDTO 设备持续整改信息
	 * @return
	 */
	boolean continuedRectifyHandIn(AppDeviceCheckDTO appDeviceCheckDTO);
}
